Subject: Re: Lost association between TAGS and COMMITs when rebased a git(1) repository

From: Thomas Rast <[email-masked]>
Date: Sun, 4 Sep 2011 20:43:00 +0200

Tor Arntsen wrote:
> On Sun, Sep 4, 2011 at 4:30 PM, knittl <[email-masked]> wrote:
> >
> > On Sun, Sep 4, 2011 at 3:32 AM, John S. Urban <[email-masked]> wrote:
> > > With my first use of git(1) I  created a small project with about 200
> > > "commits".  When this was complete, I needed to label each commit with
> > > information pointing it to a section of a document. I used tags for this.
> >
> > Use git notes[1] to attach additional info to existing commits. Git
> > notes will by default be copied when using git rebase or git commit
> > --amend (cf. notes.rewrite.<command> config)
> 
> Is that true? I've always lost the notes when rebasing. I just tried
> that again now (1.7.5.4), and after a rebase the notes attached to any
> commit that was rebased just disappeared. I've always had to hunt down
> and re-create the notes. It would indeed be much more convenient if
> the notes would tag along.

Yes, that support has been present since 1.7.1, but it's not enabled
by default: you need to configure notes.rewriteRef.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch